Name: xucp
Version: 0.10
Release: 9
Summary: xucp is a Perl module and client for sending SMS through a gateway
License: Sonera Corporation
Group: Applications/Communications
Source: %{name}-%{version}.tar.gz
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArch: noarch
Requires: perl

%changelog
* Sat Nov 29 2003  Ian Macdonald <ian@caliban.org>
[0.10-9]
- allow to build on Fedora 1.0

* Tue Oct 23 2001  Ian Macdonald <ian@caliban.org>
[0.10-8]
- use macros in file list

* Thu Oct 18 2001  Ian Macdonald <ian@caliban.org>
[0.10-7]
- updated to use latest RPM macros and build techniques
  (as of RHL 7.2, rpm 4.0.3)
- RHL 7.2 requires perl-Digest-MD5 now

* Mon Apr 24 2000  Ian Macdonald <ian@caliban.org>
[0.10-6]
- as of 6.2, RHL no longer requires perl-MD5

* Sun Dec 19 1999  Ian Macdonald <ian@caliban.org>
[0.10-5]
- changed build to use Perl's Makefile facility

* Wed Dec 15 1999  Ian Macdonald <ian@caliban.org>
[0.10-4]
- changed mode of /usr/bin/xucpclient to 0755

* Sun Nov 21 1999  Ian Macdonald <ian@caliban.org>
[0.10-3]
- xucpclient moved from /usr/sbin to /usr/bin
- Group changed from Networking to Applications/Communications
- made package a noarch

* Mon Sep 27 1999  Ian Macdonald <ian@caliban.org>
- Updated to 0.10
- -e DDMMYYHHMM|+mins option added for passing message expiry times
- system and user phone-book facility added
- complete POD documentation added

* Mon Jul 26 1999  Ian Macdonald <ian@caliban.org>
- Updated to 0.05
- made -r accept multiple recipients
- cleared up some uninitialised variable warnings

* Sun May  9 1999  Ian Macdonald <ian@caliban.org>
- Updated to 0.04
- fixed security issue when password was supplied on command line

* Wed May  5 1999  Ian Macdonald <ian@caliban.org>
- Updated to 0.03
- Corrected bug causing failure to send when sender's number contained
  non-numeric characters

* Fri Apr 30 1999  Ian Macdonald <ian@caliban.org>
- Changed .spec file to install independently of Perl version

* Thu Dec 31 1998  Ian Macdonald <ian@caliban.org>
- Updated to 0.02
- More debugging code added to xucpclient
- Bug fix for barf on non-user-readable /etc/xucpclientrc

* Sat Dec 26 1998  Ian Macdonald <ian@caliban.org>
- First release 0.01

%description
xucp consists of a Perl module written by Matti Aarnio <matti.aarnio@sonera.fi>
and a client written by Ian Macdonald <ian@caliban.org>.

Together, the package allows the sending of authorised SMS messages through
a gateway equipped for this purpose. Such gateways are only accessible with
a login and passwd, which means that only authorised Sonera employees may
make use of this service.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor make
pod2html script/xucpclient > xucpclient.html

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install xucpclientrc $RPM_BUILD_ROOT%{_sysconfdir}/xucpclientrc

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > xucp-filelist
if [ "$(cat xucp-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f xucp-filelist
%defattr(-,root,root)
%config %attr(600,-,-)%{_sysconfdir}/xucpclientrc
%doc xucpclient.html
